Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.namestoreext
Class EPPNamestoreExtNamestoreExt

    java.lang.Object
      com.verisign.epp.codec.namestoreext.EPPNamestoreExtNamestoreExt

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPNamestoreExtNamestoreExt

extends java.lang.Object
implements EPPCodecComponent

Namestore <namestoreExt> extension, which allows for a client to provide a target sub-product identifier to specify the locus of operation for the accompanying command.

Version:
  $Revision: 1.4 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPNamestoreExtNamestoreExt`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPNamestoreExtNamestoreExt`.

Constructor Summary
`EPPNamestoreExtNamestoreExt()` Default constructor for `EPPNamestoreExtNamestoreExt`.
`EPPNamestoreExtNamestoreExt(java.lang.String aSubProductID)` Constructor for `EPPNamestoreExtNamestoreExt` that takes the sub-product identifier.

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNamestoreExtNamestoreExt` with this instance.
`java.lang.String` | `getSubProductID()` Gets the Namestore Destination Registry Identifier.
`void` | `setSubProductID(java.lang.String aSubProductID)` Sets the Namestore Destination Registry Identifier.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPNamestoreExtNamestoreExt`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPNamestoreExtNamestoreExt`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPNamestoreExtNamestoreExt

    public EPPNamestoreExtNamestoreExt()

  Default constructor for `EPPNamestoreExtNamestoreExt`.

### EPPNamestoreExtNamestoreExt

    public EPPNamestoreExtNamestoreExt(java.lang.String aSubProductID)

  Constructor for `EPPNamestoreExtNamestoreExt` that takes the sub-product identifier.

  Parameters:
    `aSubProductID` - Sub-product identifier

Method Detail

### getSubProductID

    public java.lang.String getSubProductID()

  Gets the Namestore Destination Registry Identifier.

  Returns:
    Registry identifier if defined; `null` otherwise.

### setSubProductID

    public void setSubProductID(java.lang.String aSubProductID)

  Sets the Namestore Destination Registry Identifier.

  Parameters:
    `aSubProductID` - Registry Identifier

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document, which acts is an Element factory
  Returns:
    Element Root element associated with the object
  Throws:
    `EPPEncodeException` - Error encoding `EPPNamestoreExtNamestoreExt`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - `Element` to decode
  Throws:
    `EPPDecodeException` - Error decoding `Element`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPNamestoreExtNamestoreExt`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPNamestoreExtNamestoreExt` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if equal; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.